- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_cursor_t

# mongoc_cursor_is_alive()

## Synopsis

    bool
    mongoc_cursor_is_alive (const mongoc_cursor_t *cursor);

## Parameters

- `cursor`: A mongoc_cursor_t.

## Description

Checks to see if a cursor is in a state that allows contacting a server to check for more documents. Note that even if false, there may be documents already retrieved that can be iterated using mongoc_cursor_next().

This is primarily useful with tailable cursors.

See also mongoc_cursor_more().

## Returns

true if the cursor will be able to attempt to retrieve more results from a server.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.